<?php
if(isSet($_GET["serwer"]) && isSet($_GET["plik"]) &&
   isSet($_GET["uzytkownik"]) && isSet($_GET["haslo"])){
  if($_GET["serwer"] == ''){
    echo "Proszę podać nazwę serwera.";
    exit;
  }
  $serwer = $_GET["serwer"];
  $plik = $_GET["plik"];
  $uzytkownik = $_GET["uzytkownik"];
  $haslo = $_GET["haslo"];

  if($plik == ""){
    echo "Proszę podać określenie pliku.";
    exit;
  }

  if(!$id = @ftp_connect($serwer)){
    echo("Błąd przy próbie połączenia z serwerem...");
    exit;
  }
  if(!@ftp_login($id, $uzytkownik, $haslo)){
    echo("Błąd przy próbie zalogowania...");
    exit;
  }

  if(@ftp_size($id, $plik) == -1){
    echo("Wskazanego pliku nie ma na serwerze ftp.");
    exit;
  }
  else{
    echo "Wskazany plik istnieje na serwerze ftp.";
  }
  @ftp_close($id);
}
else{
  echo "Niepoprawne dane.";
}
?>
